import Vue from 'vue';

export function hasClass(el, cls) {
  if (!el || !cls) return false;
  if (cls.indexOf(' ') !== -1) throw new Error('className should not contain space.');
  if (el.classList) {
    return el.classList.contains(cls);
  } else {
    return (' ' + el.className + ' ').indexOf(' ' + cls + ' ') > -1;
  }
};


export function addClass(el, cls) {
  if (!el) return;
  var curClass = el.className;
  var classes = (cls || '').split(' ');

  for (var i = 0, j = classes.length; i < j; i++) {
    var clsName = classes[i];
    if (!clsName) continue;

    if (el.classList) {
      el.classList.add(clsName);
    } else {
      if (!hasClass(el, clsName)) {
        curClass += ' ' + clsName;
      }
    }
  }
  if (!el.classList) {
    el.className = curClass;
  }
};


export function removeClass(el, cls) {
  if (!el || !cls) return;
  var classes = cls.split(' ');
  var curClass = ' ' + el.className + ' ';

  for (var i = 0, j = classes.length; i < j; i++) {
    var clsName = classes[i];
    if (!clsName) continue;

    if (el.classList) {
      el.classList.remove(clsName);
    } else {
      if (hasClass(el, clsName)) {
        curClass = curClass.replace(' ' + clsName + ' ', ' ');
      }
    }
  }
  if (!el.classList) {
    el.className = trim(curClass);
  }
};

export function getClass(obj,sClass){      //通过className选元素
  if(document.getElementsByClassName){            //getElementsByClassName() 在IE 5,6,7,8 中无效。  兼容 Chrome FF IE9 10
    return obj.getElementsByClassName(sClass);  
  }else{
    var arr=[];
    var aEle=obj.getElementsByTagName('*'); 
    for(var i=0;i<aEle.length;i++){
      var tmp=aEle[i].className.split(' ');
      if(findArr(tmp,sClass)){
        arr.push(aEle[i]);
      }
    }
    return arr;
  }
};