import './assets/css/common.scss';

import { mcButton, mcButtonGroup } from './components/button';
import { mcRadio } from './components/radio';
import { mcCheckbox } from './components/checkbox';
import { mcInput } from './components/input'
import { mcSelect } from './components/select'
import { mcDropdown } from './components/dropdown';
import { mcDatepicker } from './components/datepicker';
import { mcInputFile, mcFileUpload } from './components/upload';

import { mcTable } from './components/table';
import { mcPagination } from './components/pagination';
import { mcTree,mcTreeNode } from './components/tree';
import { mcTabs, mcTabItem } from './components/tab';

import { mcDialog } from './components/dialog';
import mcTooltip  from './components/tooltip';
import mcPopover  from './components/popover';
import mcNotify from './components/notify';
import {mcLoading} from './components/loading';
import { mcCascader } from './components/cascader';
const components = {
    mcButton,
    mcButtonGroup,
    mcRadio,
    mcCheckbox,
    mcInput,
    mcSelect,
    mcDropdown,
    mcDatepicker,
    mcInputFile,
    mcFileUpload,
    mcCascader,

    mcTable,
    mcPagination,
    mcTree,
    mcTreeNode,
    mcTabs,
    mcTabItem,

    mcDialog,
    mcTooltip,
    mcPopover,
    mcLoading,
    
};

if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

export default {
    install(Vue) {
        Vue.prototype.$notify = mcNotify;
        Object.keys(components).forEach(key => Vue.component(key, components[key]));
    },
};